DROP PROC op_obtenerventasayuda
GO

CREATE PROC op_obtenerventasayuda
@site ud_idsite,
@fechaini smalldatetime,
@fechafin smalldatetime,
@NDOC UD_CORRELATIVOS,
@businnestype char(1)

as
IF ( @NDOC>0 ) 	--BUSQUEDA POR DOCUMENTO
	select 	* from vw_ventas
		where siteid=@site and Nro=@NDOC and businesstype=@businnestype 
		order by fecha
ELSE		
	select 	* from vw_ventas	--BUSQUEDA RANGO DE FECHAS
		where siteid=@site AND (Fecha between @fechaini and @fechafin) and businesstype=@businnestype 
		order by fecha


go

exec op_obtenerventasayuda '57','22/01/03','24/01/03',0,'2'


